Summary:        Library to simplify the drawing of beautiful curves
Name:           libspiro
Version:        20221101
Release:        1%{?dist}
License:        GPLv3+
URL:            https://github.com/fontforge/libspiro/
Source0:        %{url}releases/download/%{version}/libspiro-dist-%{version}.tar.gz

BuildRequires:  gcc make

%description
This library will take an array of spiro control points and  convert them into
a series of bézier splines which can then  be used in the myriad of ways the
world has come to use béziers. 

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -n libspiro-%{version}

%build
%configure --disable-static
%{make_build}

%install
%{make_install}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%check
%make_build check

%files
%license COPYING AUTHORS
%doc README* ChangeLog
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc
%{_mandir}/man3/libspiro.3.gz

%changelog
* Tue Aug 29 2023 jackeyji <jackeyji@tencent.com> - 20221101-1
- upgrade to 20221101

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200505-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20200505-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Shuo Wang <abushwang@tencent.com> - 20200505-1
- initial build
